From: Ondrej Jirman <megous@megous.com>
Date: Mon, 26 Apr 2021 01:31:27 +0200
Subject: arm64: dts: sun50i-a64: pinephone: Don't make lradc keys a wakeup
 source

This allow the crust to reach lower suspend state.

Signed-off-by: Ondrej Jirman <megous@megous.com>
---
 arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
index 3ed48994..59dd7ec 100644
--- a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
+++ b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
@@ -444,7 +444,7 @@ &i2s2 {
 
 &lradc {
 	vref-supply = <&reg_aldo3>;
-	wakeup-source;
+//	wakeup-source;
 	status = "okay";
 
 	button-200 {
